Create ReplicaSet
Creates a new ReplicaSet.
The full ReplicaSet needs to be provided to create the object. Optional data will be filled with defaults or left empty.
The token can be generated using the Authentication API.
Metadata
ReplicaSet successfully created.
The ID (UUID) of the ReplicaSet.
1046e9bf-dbc0-5bd3-9291-713d36ab77e9The type of the resource.
The URL of the ReplicaSet.
/replicasets/1046e9bf-dbc0-5bd3-9291-713d36ab77e9Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Unsupported Media Type
The request has an unsupported media type.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
POST /replicasets HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 527
{
"metadata": {},
"properties": {
"displayName": "In-Memory DB replica set",
"version": "7.2",
"replicas": 2,
"resources": {
"cores": 4,
"ram": 4
},
"persistenceMode": "None",
"evictionPolicy": "allkeys-lru",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"cidr": "192.168.1.100/24"
}
],
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"backup": {
"location": "de"
},
"credentials": {
"username": "DatabaseAdmin",
"password": "my-t0p-secret-password"
},
"initialSnapshotId": "12345678-1234-1234-1234-123456789012"
}
}{
"id": "1046e9bf-dbc0-5bd3-9291-713d36ab77e9",
"type": "replicaset",
"href": "/replicasets/1046e9bf-dbc0-5bd3-9291-713d36ab77e9",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"message": "In progress.",
"dnsName": "imdb01.example.com"
},
"properties": {
"displayName": "In-Memory DB replica set",
"version": "7.2",
"replicas": 2,
"resources": {
"cores": 4,
"ram": 4,
"storage": 1
},
"persistenceMode": "None",
"evictionPolicy": "allkeys-lru",
"connections": [
{
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"cidr": "192.168.1.100/24"
}
],
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"backup": {
"location": "de"
},
"credentials": {
"username": "DatabaseAdmin"
},
"initialSnapshotId": "12345678-1234-1234-1234-123456789012"
}
}Last updated
Was this helpful?